
#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <stdio.h>
#include <stdbool.h>


#define JWM_MENU_CONFIG_NAME                  "jwm-menu-config"

#define JWM_MENU_CONFIG_PATH                  "config_path"
#define JWM_MENU_CONFIG_APPLICATION_LAUNCHER  "application_launcher"
#define JWM_MENU_CONFIG_TERMINAL_EMULATOR     "terminal_emulator"
#define JWM_MENU_CONFIG_FILE_MANAGER          "file_manager"
#define JWM_MENU_CONFIG_WEB_BROWSER           "web_browser"
#define JWM_MENU_CONFIG_MAIL_CLIENT           "mail_client"
#define JWM_MENU_CONFIG_LOGOUT_DIALOG         "logout_dialog"

/* configuration structure */
struct jwm_menu_config {

    char** params;
   
    // config file path (used by opts)
    char* config_path;
    
	char *application_launcher;
	char *terminal_emulator;
	char *file_manager;
	char *web_browser;
	char *mail_client;
	char *logout_dialog;          
};

int jwm_menu_config_init(struct jwm_menu_config* conf);
int jwm_menu_config_load(char const* path, struct jwm_menu_config* conf);
int jwm_menu_config_load_file(FILE* file, struct jwm_menu_config* conf);
int jwm_menu_config_free(struct jwm_menu_config* conf);
int jwm_menu_config_fullpaths(struct jwm_menu_config* config);

#endif
